package com.wanyue.common.bean;

import com.alibaba.fastjson.annotation.JSONField;
import com.google.gson.annotations.SerializedName;

/**
 * Created by cxf on 2017/8/5.
 */

public class ConfigBean {

    @SerializedName( "apk_ver")
    @JSONField(name = "apk_ver")
    private String version;//Android apk安装包 版本号

    @SerializedName( "apk_url")
    @JSONField(name = "apk_url")
    private String downloadApkUrl;//Android apk安装包 下载地址

    @SerializedName( "apk_des")
    @JSONField(name = "apk_des")
    private String updateDes;//版本更新描述

    @SerializedName( "login_type")
    @JSONField(name = "login_type")
    private String[] loginType;//三方登录类型
    @SerializedName( "share_type")
    @JSONField(name = "share_type")
    private String[] shareType;//分享类型
    private String coinName;//钻石名称
    private String votesName;//映票名称
    private String videoShareTitle;//短视频分享标题
    private String videoShareDes;//短视频分享描述
    private String agentShareTitle;//全民赚钱分享标题
    private String agentShareDes;//全民赚钱分享描述
    private int videoAuditSwitch;//短视频审核是否开启
    private int videoCloudType;//短视频云储存类型 1七牛云 2腾讯云
    private String videoQiNiuHost;//短视频七牛云域名
    private String txCosAppId;//腾讯云存储appId
    private String txCosRegion;//腾讯云存储区域
    private String txCosBucketName;//腾讯云存储桶名字
    private String txCosVideoPath;//腾讯云存储视频文件夹
    private String txCosImagePath;//腾讯云存储图片文件夹
    private int maintainSwitch;//维护开关
    private String maintainTips;//维护提示
    private String mTxImGroupId;//腾讯IM大群ID
    private String beautyKey;//萌颜鉴权码
    private int beautyMeiBai;//萌颜美白数值
    private int beautyMoPi;//萌颜磨皮数值
    private int beautyBaoHe;//萌颜饱和数值
    private int beautyFenNen;//萌颜粉嫩数值
    private int beautyBigEye;//萌颜大眼数值
    private int beautyFace;//萌颜瘦脸数值
    private String mImTip;
    private String admin;


    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }


    public String getDownloadApkUrl() {
        return downloadApkUrl;
    }


    public void setDownloadApkUrl(String downloadApkUrl) {
        this.downloadApkUrl = downloadApkUrl;
    }


    public String getUpdateDes() {
        return updateDes;
    }

    public void setUpdateDes(String updateDes) {
        this.updateDes = updateDes;
    }

    @SerializedName( "name_coin")
    @JSONField(name = "name_coin")
    public String getCoinName() {
        return coinName;
    }

    @SerializedName( "name_coin")
    @JSONField(name = "name_coin")
    public void setCoinName(String coinName) {
        this.coinName = coinName;
    }

    @SerializedName( "name_votes")
    @JSONField(name = "name_votes")
    public String getVotesName() {
        return votesName;
    }

    @SerializedName( "name_votes")
    @JSONField(name = "name_votes")
    public void setVotesName(String votesName) {
        this.votesName = votesName;
    }



    public String[] getLoginType() {
        return loginType;
    }


    public void setLoginType(String[] loginType) {
        this.loginType = loginType;
    }


    @JSONField(name = "share_type")
    public String[] getShareType() {
        return shareType;
    }


    public void setShareType(String[] shareType) {
        this.shareType = shareType;
    }

    @SerializedName( "maintain_switch")
    @JSONField(name = "maintain_switch")
    public int getMaintainSwitch() {
        return maintainSwitch;
    }

    @SerializedName( "maintain_switch")
    @JSONField(name = "maintain_switch")
    public void setMaintainSwitch(int maintainSwitch) {
        this.maintainSwitch = maintainSwitch;
    }

    @SerializedName( "im_admin_drip")
    @JSONField(name = "maintain_tips")
    public String getMaintainTips() {
        return maintainTips;
    }

    @SerializedName( "maintain_tips")
    @JSONField(name = "maintain_tips")
    public void setMaintainTips(String maintainTips) {
        this.maintainTips = maintainTips;
    }

    @SerializedName( "full_group_id")
    @JSONField(name = "full_group_id")
    public String getTxImGroupId() {
        return mTxImGroupId;
    }

    @SerializedName( "full_group_id")
    @JSONField(name = "full_group_id")
    public void setTxImGroupId(String txImGroupId) {
        mTxImGroupId = txImGroupId;
    }

    @SerializedName( "sprout_key")
    @JSONField(name = "sprout_key")
    public String getBeautyKey() {
        return beautyKey;
    }

    @SerializedName( "sprout_key")
    @JSONField(name = "sprout_key")
    public void setBeautyKey(String beautyKey) {
        this.beautyKey = beautyKey;
    }

    @SerializedName( "sprout_white")
    @JSONField(name = "sprout_white")
    public int getBeautyMeiBai() {
        return beautyMeiBai;
    }

    @SerializedName( "sprout_white")
    @JSONField(name = "sprout_white")
    public void setBeautyMeiBai(int beautyMeiBai) {
        this.beautyMeiBai = beautyMeiBai;
    }

    @SerializedName( "sprout_skin")
    @JSONField(name = "sprout_skin")
    public int getBeautyMoPi() {
        return beautyMoPi;
    }

    @SerializedName( "sprout_skin")
    @JSONField(name = "sprout_skin")
    public void setBeautyMoPi(int beautyMoPi) {
        this.beautyMoPi = beautyMoPi;
    }

    @SerializedName( "sprout_saturated")
    @JSONField(name = "sprout_saturated")
    public int getBeautyBaoHe() {
        return beautyBaoHe;
    }

    @SerializedName( "sprout_saturated")
    @JSONField(name = "sprout_saturated")
    public void setBeautyBaoHe(int beautyBaoHe) {
        this.beautyBaoHe = beautyBaoHe;
    }

    @SerializedName( "sprout_pink")
    @JSONField(name = "sprout_pink")
    public int getBeautyFenNen() {
        return beautyFenNen;
    }

    @SerializedName( "sprout_pink")
    @JSONField(name = "sprout_pink")
    public void setBeautyFenNen(int beautyFenNen) {
        this.beautyFenNen = beautyFenNen;
    }

    @SerializedName( "sprout_eye")
    @JSONField(name = "sprout_eye")
    public int getBeautyBigEye() {
        return beautyBigEye;
    }

    @SerializedName( "sprout_eye")
    @JSONField(name = "sprout_eye")
    public void setBeautyBigEye(int beautyBigEye) {
        this.beautyBigEye = beautyBigEye;
    }

    @SerializedName( "sprout_face")
    @JSONField(name = "sprout_face")
    public int getBeautyFace() {
        return beautyFace;
    }

    @SerializedName( "sprout_face")
    @JSONField(name = "sprout_face")
    public void setBeautyFace(int beautyFace) {
        this.beautyFace = beautyFace;
    }


    public String[] getVideoShareTypes() {
        return shareType;
    }

    @SerializedName( "share_video_title")
    @JSONField(name = "share_video_title")
    public String getVideoShareTitle() {
        return videoShareTitle;
    }

    @SerializedName( "share_video_title")
    @JSONField(name = "share_video_title")
    public void setVideoShareTitle(String videoShareTitle) {
        this.videoShareTitle = videoShareTitle;
    }

    @SerializedName( "share_video_des")
    @JSONField(name = "share_video_des")
    public String getVideoShareDes() {
        return videoShareDes;
    }

    @SerializedName( "share_video_des")
    @JSONField(name = "share_video_des")
    public void setVideoShareDes(String videoShareDes) {
        this.videoShareDes = videoShareDes;
    }

    @SerializedName( "share_agent_title")
    @JSONField(name = "share_agent_title")
    public String getAgentShareTitle() {
        return agentShareTitle;
    }
    @SerializedName( "share_agent_title")
    @JSONField(name = "share_agent_title")
    public void setAgentShareTitle(String agentShareTitle) {
        this.agentShareTitle = agentShareTitle;
    }
    @SerializedName( "share_agent_des")
    @JSONField(name = "share_agent_des")
    public String getAgentShareDes() {
        return agentShareDes;
    }
    @SerializedName( "share_agent_des")
    @JSONField(name = "share_agent_des")
    public void setAgentShareDes(String agentShareDes) {
        this.agentShareDes = agentShareDes;
    }

    @SerializedName( "video_audit_switch")
    @JSONField(name = "video_audit_switch")
    public int getVideoAuditSwitch() {
        return videoAuditSwitch;
    }

    @SerializedName( "video_audit_switch")
    @JSONField(name = "video_audit_switch")
    public void setVideoAuditSwitch(int videoAuditSwitch) {
        this.videoAuditSwitch = videoAuditSwitch;
    }

    @SerializedName( "cloudtype")
    @JSONField(name = "cloudtype")
    public int getVideoCloudType() {
        return videoCloudType;
    }
    @SerializedName( "cloudtype")
    @JSONField(name = "cloudtype")
    public void setVideoCloudType(int videoCloudType) {
        this.videoCloudType = videoCloudType;
    }
    @SerializedName( "qiniu_domain")
    @JSONField(name = "qiniu_domain")
    public String getVideoQiNiuHost() {
        return videoQiNiuHost;
    }
    @SerializedName( "qiniu_domain")
    @JSONField(name = "qiniu_domain")
    public void setVideoQiNiuHost(String videoQiNiuHost) {
        this.videoQiNiuHost = videoQiNiuHost;
    }
    @SerializedName( "txcloud_appid")
    @JSONField(name = "txcloud_appid")
    public String getTxCosAppId() {
        return txCosAppId;
    }
    @SerializedName( "txcloud_appid")
    @JSONField(name = "txcloud_appid")
    public void setTxCosAppId(String txCosAppId) {
        this.txCosAppId = txCosAppId;
    }
    @SerializedName( "txcloud_region")
    @JSONField(name = "txcloud_region")
    public String getTxCosRegion() {
        return txCosRegion;
    }
    @SerializedName( "txcloud_region")
    @JSONField(name = "txcloud_region")
    public void setTxCosRegion(String txCosRegion) {
        this.txCosRegion = txCosRegion;
    }
    @SerializedName( "txcloud_bucket")
    @JSONField(name = "txcloud_bucket")
    public String getTxCosBucketName() {
        return txCosBucketName;
    }
    @SerializedName( "txcloud_bucket")
    @JSONField(name = "txcloud_bucket")
    public void setTxCosBucketName(String txCosBucketName) {
        this.txCosBucketName = txCosBucketName;
    }
    @SerializedName( "txvideofolder")
    @JSONField(name = "txvideofolder")
    public String getTxCosVideoPath() {
        return txCosVideoPath;
    }
    @SerializedName( "txvideofolder")
    @JSONField(name = "txvideofolder")
    public void setTxCosVideoPath(String txCosVideoPath) {
        this.txCosVideoPath = txCosVideoPath;
    }
    @SerializedName( "tximgfolder")
    @JSONField(name = "tximgfolder")
    public String getTxCosImagePath() {
        return txCosImagePath;
    }
    @SerializedName( "tximgfolder")
    @JSONField(name = "tximgfolder")
    public void setTxCosImagePath(String txCosImagePath) {
        this.txCosImagePath = txCosImagePath;
    }
    @SerializedName( "im_tips")
    @JSONField(name = "im_tips")
    public String getImTip() {
        return mImTip;
    }
    @SerializedName( "im_tips")
    @JSONField(name = "im_tips")
    public void setImTip(String imTip) {
        mImTip = imTip;
    }

    public String getAdmin() {
        return admin;
    }

    public void setAdmin(String admin) {
        this.admin = admin;
    }


}
